Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1
/
hsn
/
{year}
/
{month}
GSTR-1 HSN Summary
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/hsn/{year}/{month} \
  --header 'Authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
{
  "code": 200,
  "data": {
    "data": {
      "hsn": {
        "chksum": "1a60e5144b4eecdc03ea2326ea0c5171ff7973840f10e9a409e8934c01283743",
        "data": [
          {
            "camt": 2285,
            "desc": "Individual tax preparation and planning services",
            "hsn_sc": "998232",
            "iamt": 237746,
            "num": 1,
            "qty": 0,
            "rt": 18,
            "samt": 2285,
            "txval": 1346201,
            "uqc": "NA"
          }
        ],
        "flag": "N"
      }
    },
    "status_cd": "1"
  },
  "timestamp": 1763446641000,
  "transaction_id": "3f809d3d-8fa8-4c17-a798-8981318122e9"
}

Headers

Authorization
string
required

Taxpayer access token

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

year
string
required

Year e.g. 2020

Example:

"{{year}}"

month
string
required

Month e.g. 01

Example:

"{{month}}"

Response

200 - application/json

200 Success / RET11416 No data found

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"3f809d3d-8fa8-4c17-a798-8981318122e9"